opencv: cv::Point_< _Tp > Class Template Reference

Public Types | Public Member Functions | Public Attributes

# cv::Point_< _Tp > Class Template Reference

`#include <core.hpp>`

List of all members.

## Public Types
typedef _Tp | value_type
## Public Member Functions
double | ddot (const Point_ &pt) const
| dot product computed in double-precision arithmetics
_Tp | dot (const Point_ &pt) const
| dot product
bool | inside (const Rect_< _Tp > &r) const
| checks whether the point is inside the specified rectangle
| operator CvPoint () const
| conversion to the old-style C structures
| operator CvPoint2D32f () const
template<typename _Tp2 >
| operator Point_< _Tp2 > () const
| conversion to another data type
| operator Vec< _Tp, 2 > () const
Point_ & | operator= (const Point_ &pt)
| Point_ (const CvPoint &pt)
| Point_ (const Vec< _Tp, 2 > &v)
| Point_ (const Point_ &pt)
| Point_ (const Size_< _Tp > &sz)
| Point_ ()
| Point_ (const CvPoint2D32f &pt)
| Point_ (_Tp _x, _Tp _y)
## Public Attributes
_Tp | x
_Tp | y

## Detailed Description

### template<typename _Tp>
class cv::Point_< _Tp >

template 2D point class.

The class defines a point in 2D space. Data type of the point coordinates is specified as a template parameter. There are a few shorter aliases available for user convenience. See cv::Point, cv::Point2i, cv::Point2f and cv::Point2d.

## Member Typedef Documentation

template<typename _Tp>

typedef _Tp cv::Point_< _Tp >::value_type

## Constructor & Destructor Documentation

template<typename _Tp >

cv::Point_< _Tp >::Point_ | ( | ) | `[inline]`

template<typename _Tp>

cv::Point_< _Tp >::Point_ | ( | _Tp | _x,
|  | _Tp | _y
| ) |  | `[inline]`

template<typename _Tp>

cv::Point_< _Tp >::Point_ | ( | const Point_< _Tp > & | pt ) | `[inline]`

template<typename _Tp>

cv::Point_< _Tp >::Point_ | ( | const CvPoint & | pt ) | `[inline]`

template<typename _Tp>

cv::Point_< _Tp >::Point_ | ( | const CvPoint2D32f & | pt ) | `[inline]`

template<typename _Tp>

cv::Point_< _Tp >::Point_ | ( | const Size_< _Tp > & | sz ) | `[inline]`

template<typename _Tp>

cv::Point_< _Tp >::Point_ | ( | const Vec< _Tp, 2 > & | v ) | `[inline]`

## Member Function Documentation

template<typename _Tp >

double cv::Point_< _Tp >::ddot | ( | const Point_< _Tp > & | pt ) | const`[inline]`

dot product computed in double-precision arithmetics

template<typename _Tp >

_Tp cv::Point_< _Tp >::dot | ( | const Point_< _Tp > & | pt ) | const`[inline]`

dot product

template<typename _Tp>

bool cv::Point_< _Tp >::inside | ( | const Rect_< _Tp > & | r ) | const`[inline]`

checks whether the point is inside the specified rectangle

template<typename _Tp >

cv::Point_< _Tp >::operator CvPoint | ( | ) | const`[inline]`

conversion to the old-style C structures

template<typename _Tp >

cv::Point_< _Tp >::operator CvPoint2D32f | ( | ) | const`[inline]`

template<typename _Tp >
template<typename _Tp2 >

cv::Point_< _Tp >::operator Point_< _Tp2 > | ( | ) | const`[inline]`

conversion to another data type

template<typename _Tp >

cv::Point_< _Tp >::operator Vec< _Tp, 2 > | ( | ) | const`[inline]`

template<typename _Tp >

Point_< _Tp > & cv::Point_< _Tp >::operator= | ( | const Point_< _Tp > & | pt ) | `[inline]`

## Member Data Documentation

template<typename _Tp>

_Tp cv::Point_< _Tp >::x

template<typename _Tp>

_Tp cv::Point_< _Tp >::y

The documentation for this class was generated from the following files:

- /usr/ports/pobj/OpenCV-2.2.0/OpenCV-2.2.0/modules/core/include/opencv2/core/core.hpp
- /usr/ports/pobj/OpenCV-2.2.0/OpenCV-2.2.0/modules/core/include/opencv2/core/operations.hpp

All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Friends Defines